Bug 158100 - Web Inspector: memory category timelines would look better with ruler tick-aligned guides
Summary: Web Inspector: memory category timelines would look better with ruler tick-al...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-05-25 16:43 PDT by Brian Burg
Modified: 2017-03-16 22:29 PDT (History)
5 users (show)

See Also:


Attachments
[MOVIE] timelines don't do anything (5.42 MB, video/quicktime)
2016-05-25 16:43 PDT, Brian Burg
no flags Details
Patch (2.60 KB, patch)
2017-03-16 20:00 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
[Image] After Patch is applied (257.69 KB, image/png)
2017-03-16 20:01 PDT, Devin Rousso
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2016-05-25 16:43:59 PDT
Created attachment 279837 [details]
[MOVIE] timelines don't do anything

We have these in the timeline overview, but not below. I think we should have them in both places.

It is weird if the category timelines are flat (same value) and don't change at all visually when the selected time changes. It almost looks like the timelines are stuck. See attached movie.
Comment 1 Brian Burg 2016-05-27 07:20:04 PDT
Ping for import.
Comment 2 Radar WebKit Bug Importer 2016-05-27 07:24:21 PDT
<rdar://problem/26516722>
Comment 3 Devin Rousso 2017-03-16 20:00:54 PDT
Created attachment 304741 [details]
Patch
Comment 4 Devin Rousso 2017-03-16 20:01:14 PDT
Created attachment 304742 [details]
[Image] After Patch is applied
Comment 5 Joseph Pecoraro 2017-03-16 20:12:52 PDT
Comment on attachment 304741 [details]
Patch

r=me Sweet! Looks great
Comment 6 WebKit Commit Bot 2017-03-16 22:29:54 PDT
Comment on attachment 304741 [details]
Patch

Clearing flags on attachment: 304741

Committed r214099: <http://trac.webkit.org/changeset/214099>
Comment 7 WebKit Commit Bot 2017-03-16 22:29:59 PDT
All reviewed patches have been landed.  Closing bug.